<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "inc_blocks_nav.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}
	
	global $dblink;
	
	$tpl_blocks_navigator = array();
	$myrank = myRank();
	if ($result_blocks = $dblink->get_list("SELECT * FROM memht_blocks WHERE enabled=1 AND zona=0 AND rank<=$myrank ORDER BY posizione")) {
		foreach ($result_blocks as $row_blocks) {
			$title = outCode($row_blocks['titolo']);
			$usetitle = intval($row_blocks['titolo_on']);
			$type = intval($row_blocks['tipo']);
			$file = outCode($row_blocks['nomefile']);
			$content = outCode($row_blocks['contenuto']);
			$flag = intval($row_blocks['flag']);
			
			if ($type==0) {
				if (file_exists("blocks/block_$file.php")) {
					ob_start();
					include_once("blocks/block_$file.php");
					$content = ob_get_contents();
					ob_end_clean();
				} else {
					$content = "<div id='errorText' align='center'><b>"._FILENOTFOUND_."</b></div>";
				}
			}
			
			$tpl_blocks_navigator[] = array(
				"title"=>"$title",
				"usetitle"=>"$usetitle",
				"content"=>"$content",
				"flag"=>"$flag"
			);
		}
	}
	$tpl->assign("tpl_blocks_navigator",$tpl_blocks_navigator);
	
?>